package com.fs.delivery.mapper;

import java.util.List;
import com.fs.delivery.domain.CtLongVideo;

/**
 * 长视频Mapper接口
 * 
 * @author fs
 * @date 2026-01-22
 */
public interface CtLongVideoMapper 
{
    /**
     * 查询长视频
     * 
     * @param id 长视频主键
     * @return 长视频
     */
    public CtLongVideo selectCtLongVideoById(Long id);

    /**
     * 查询长视频列表
     * 
     * @param ctLongVideo 长视频
     * @return 长视频集合
     */
    public List<CtLongVideo> selectCtLongVideoList(CtLongVideo ctLongVideo);

    /**
     * 新增长视频
     * 
     * @param ctLongVideo 长视频
     * @return 结果
     */
    public int insertCtLongVideo(CtLongVideo ctLongVideo);

    /**
     * 修改长视频
     * 
     * @param ctLongVideo 长视频
     * @return 结果
     */
    public int updateCtLongVideo(CtLongVideo ctLongVideo);

    /**
     * 删除长视频
     * 
     * @param id 长视频主键
     * @return 结果
     */
    public int deleteCtLongVideoById(Long id);

    /**
     * 批量删除长视频
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCtLongVideoByIds(Long[] ids);
}
